GET /event/
thespacedevs.com:launch-library-api
Summary: List space events
Operation ID: listEvents
Auth: unknown
Operation ID: listEvents
Auth: unknown
Description
Returns a paginated list of space-related events including spacecraft landings, engine tests, spacewalks, and other activities.
Parameters (3)
limit
(integer, query, optional, default: 10)
Number of results to return per page
Constraints: {'maximum': 100}
offset
(integer, query, optional, default: 0)
Index of the first result to return
search
(string, query, optional)
Search query string to filter events
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List events with default pagination | curl |
https://ll.thespacedevs.com/2.2.0/event/ |
|
| Search for spacewalk events | curl |
https://ll.thespacedevs.com/2.2.0/event/?search=spacewalk&limit=5 |
|
| Filter by event type with pagination | curl |
https://ll.thespacedevs.com/2.2.0/event/?type__id=1&limit=20&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:47:42.878868 | 429 | 218ms | |
| 2026-03-23 10:38:00.641777 | 429 | 404ms | |
| 2026-03-23 09:08:05.658578 | 200 | 922ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:38:00.641777 | 1b2eb11fa55e |
cd41071db4cc |
| 2026-03-23 10:47:42.878868 | cd41071db4cc |
2ae9da562d73 |